Links
GET https://qr.gtechgroup.it/api/links/
curl --request GET \
--url 'https://qr.gtechgroup.it/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional String | A string de pesquisa |
| search_by | Opcional String | Qual campo você está pesquisando. Os valores permitidos são: url, location_url, name |
| is_enabled | Opcional Booleano | |
| domain_id | Opcional Inteiro | |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filtrar resultados a partir desta data e hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional String | Filtrar resultados até esta data e hora. Formato Y-m-d H:i:s. |
| order_by | Opcional String | Qual campo para ordenar os resultados. Valores permitidos são: link_id, datetime, last_datetime, url, location_url, pageviews, name |
| order_type | Opcional String | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente, e DESC para ordenação descendente |
| page | Opcional Inteiro | O número da página de onde você deseja resultados. O padrão é 1 |
| results_per_page | Opcional Inteiro | Quantos resultados você quer por página. Valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-28 00:06:06",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.gtechgroup.it/api/links?page=1",
"last": "https://qr.gtechgroup.it/api/links?page=1",
"next": null,
"prev": null,
"self": "https://qr.gtechgroup.it/api/links?page=1"
}
}
GET https://qr.gtechgroup.it/api/links/{link_id}
curl --request GET \
--url 'https://qr.gtechgroup.it/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-28 00:06:06",
}
}
POST https://qr.gtechgroup.it/api/links
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| location_url | Requerido String | A URL do destinoDisponível quando: is_bulk = 0 |
| location_urls | Requerido String | A URL do destinoDisponível quando: is_bulk = 1 |
| url | Opcional String | O alias de URL do link gerado. Deixe em branco para um gerado aleatoriamente.Disponível quando: is_bulk = 0 |
| is_bulk | Opcional Booleano | |
| domain_id | Opcional Inteiro | - |
| project_id | Opcional Inteiro | - |
| pixels_ids | Opcional Array Inteiro | - |
| schedule | Opcional Booleano | - |
| start_date | Opcional String | Disponível quando: schedule = true |
| end_date | Opcional String | Disponível quando: schedule = true |
| pageviews_limit | Opcional Inteiro | - |
| expiration_url | Opcional String | - |
| password | Opcional String | - |
| is_se_visible | Opcional Booleano | - |
| forward_query_parameters_is_enabled | Opcional Booleano | - |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| sensitive_content | Opcional Booleano | - |
| http_status_code | Opcional Inteiro | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Booleano | - |
| cloaking_is_enabled | Opcional Booleano | - |
| cloaking_title | Opcional String | - |
| cloaking_meta_description | Opcional String | - |
| cloaking_custom_js | Opcional String | - |
| cloaking_favicon | Opcional Arquivo | - |
| cloaking_opengraph | Opcional Arquivo | - |
| targeting_type | Opcional String | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional String | Disponível quando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional String | Disponível quando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional String | Disponível quando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional String | Disponível quando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional String | Disponível quando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional String | Disponível quando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional String | Disponível quando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional String | Disponível quando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional String | Disponível quando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional String | Disponível quando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional String | Disponível quando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional String | Disponível quando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional String | Disponível quando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional String | Disponível quando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional String | Disponível quando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional String | Disponível quando: targeting_type = browser_name |
curl --request POST \
--url 'https://qr.gtechgroup.it/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qr.gtechgroup.it/' \
--url 'https://qr.gtechgroup.it/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qr.gtechgroup.it/' \
{
"data": {
"id": 1
}
}
POST https://qr.gtechgroup.it/api/links/{link_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| location_url | Opcional String | A URL do destino |
| url | Opcional String | O alias de URL do link gerado. Deixe em branco para um gerado aleatoriamente. |
| domain_id | Opcional Inteiro | - |
| project_id | Opcional Inteiro | - |
| pixels_ids | Opcional Array Inteiro | - |
| schedule | Opcional Booleano | - |
| start_date | Opcional String | Disponível quando: schedule = true |
| end_date | Opcional String | Disponível quando: schedule = true |
| pageviews_limit | Opcional Inteiro | - |
| expiration_url | Opcional String | - |
| password | Opcional String | - |
| is_se_visible | Opcional Booleano | - |
| forward_query_parameters_is_enabled | Opcional Booleano | - |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| sensitive_content | Opcional Booleano | - |
| http_status_code | Opcional Inteiro | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Booleano | - |
| cloaking_is_enabled | Opcional Booleano | - |
| cloaking_title | Opcional String | - |
| cloaking_meta_description | Opcional String | - |
| cloaking_custom_js | Opcional String | - |
| cloaking_favicon | Opcional Arquivo | - |
| cloaking_opengraph | Opcional Arquivo | - |
| targeting_type | Opcional String | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional String | Disponível quando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional String | Disponível quando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional String | Disponível quando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional String | Disponível quando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional String | Disponível quando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional String | Disponível quando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional String | Disponível quando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional String | Disponível quando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional String | Disponível quando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional String | Disponível quando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional String | Disponível quando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional String | Disponível quando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional String | Disponível quando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional String | Disponível quando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional String | Disponível quando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional String | Disponível quando: targeting_type = browser_name |
curl --request POST \
--url 'https://qr.gtechgroup.it/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qr.gtechgroup.it/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://qr.gtechgroup.it/api/links/{link_id}
curl --request DELETE \
--url 'https://qr.gtechgroup.it/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \